> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitrace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Address Freeze Events

> getAddressFreezeEvents - This endpoint get freeze events by given address.



## OpenAPI

````yaml GET /api/v1/tracker/kya/address/freeze-events
openapi: 3.0.3
info:
  title: Bitrace AML API
  description: >-
    Bitrace AML API provides comprehensive blockchain and crypto compliance
    tools for real-time risk detection capabilities. The API enables scrutiny of
    crypto transactions, wallet addresses, and crypto tokens with precision and
    efficiency.
  version: 1.0.0
  contact:
    name: Bitrace Support
    email: support@bitrace.io
servers:
  - url: https://api.bitrace.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: KYA (Know Your Address)
    description: Address risk assessment and entity identification
  - name: KYT (Know Your Transaction)
    description: Transaction monitoring and compliance
  - name: Account API
    description: Account usage and management APIs
  - name: Address Management
    description: Address management on the blacklist and whitelist
paths:
  /api/v1/tracker/kya/address/freeze-events:
    get:
      tags:
        - KYA (Know Your Address)
      summary: Retrieve Address Freeze Events
      description: >-
        getAddressFreezeEvents - This endpoint get freeze events by given
        address.
      parameters:
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: address
          in: query
          required: true
          schema:
            type: string
            description: The target address.
          description: The target address.
        - name: network
          in: query
          required: true
          schema:
            type: string
            enum:
              - ethereum
              - eth
              - tron
            description: The supported chainns short name, ethereum or eth tron
          description: The supported chainns short name, ethereum or eth tron
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KyaAddressFreezeEventsResponse'
              example:
                success: true
                code: 1
                status: SUCCESS
                data:
                  - hash: >-
                      b9035a425ff7e4f8dcf508dff46c012d568328529de0a652f80ab05dad0fb338
                    chain: tron
                    txTime: 1753907619000
                    contractAddress: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                    token: USDT
                    type: Destroy
                    event: DestroyedBlackFunds
                    frozenBalance: '150050.918886'
                    destroyedBalance: '150050.918886'
                  - hash: >-
                      8d3392bb59f1ccd28558c24b8f98dcd6d11fd696e7e2736b741f14a9cd14376f
                    chain: tron
                    txTime: 1743617202000
                    contractAddress: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
                    token: USDT
                    type: Add
                    event: AddedBlackList
                    frozenBalance: '150050.918886'
                msg: SUCCESS
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimit'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    KyaAddressFreezeEventsResponse:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/FreezeEvent'
    BaseResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
        code:
          type: integer
          description: Response code (1 for success, other numbers for errors)
        msg:
          type: string
          description: SUCCESS or error message
    FreezeEvent:
      type: object
      properties:
        hash:
          type: string
          description: Transaction hash
          example: b9035a425ff7e4f8dcf508dff46c012d568328529de0a652f80ab05dad0fb338
        chain:
          type: string
          description: Blockchain name
          example: tron
        txTime:
          type: integer
          format: int64
          description: Transaction timestamp in milliseconds
          example: 1753907619000
        contractAddress:
          type: string
          description: Token contract address
          example: TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t
        token:
          type: string
          description: Token symbol
          example: USDT
        type:
          type: string
          description: 'Event type: Add, Remove or Destroy'
          enum:
            - Add
            - Remove
            - Destroy
          example: Destroy
        event:
          type: string
          description: Corresponding event name in transaction log
          example: DestroyedBlackFunds
        frozenBalance:
          type: string
          description: Balance when the wallet address was frozen
          example: '150050.918886'
        destroyedBalance:
          type: string
          description: Balance when the wallet address was destroyed (USDT only)
          example: '150050.918886'
    Error:
      type: object
      properties:
        success:
          type: boolean
          description: Request success or not
          default: false
        code:
          type: integer
        msg:
          type: string
        status:
          type: string
  responses:
    BadRequest:
      description: Bad Request - Your request is invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Incorrect API key provided
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    RateLimit:
      description: Too Many Requests - Rate limit reached or quota exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - We had a problem with our server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Access-Key
      description: API key authentication

````